<?php defined('ABSPATH') or die;

/**
 * Plugin Name: Zeno – AI-Powered Chatbot
 * Description: AI-powered chat support widget that answers questions using your WordPress content and external references via LLM APIs.
 * Version: 1.5.2
 * Author: r_mizan
 * Plugin URI: https://chatbotwp.ai/
 * Author URI: https://profiles.wordpress.org/r_mizan/
 * License: GPLv2 or later
 * Requires PHP: 7.4
 * Text Domain: zeno-chatbot-ai
 * Domain Path: /languages
 * Tested up to: 7.0
 **/

// Prevent direct access
if (!defined('ABSPATH')) {
    exit;
}


require __DIR__.'/src/Support/Polyfill.php';
require __DIR__.'/vendor/autoload.php';

define('ZENOCHATBOT_VERSION', '1.5.2');
define('ZENOCHATBOT_PLUGIN_FILE', __FILE__);
define('ZENOCHATBOT_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('ZENOCHATBOT_PLUGIN_URL', plugin_dir_url(__FILE__));
define('ZENOCHATBOT_PLUGIN_BASENAME', plugin_basename(__FILE__));

call_user_func(function($bootstrap) {
    $app = $bootstrap(__FILE__);
    $app->boot();

}, require(__DIR__.'/boot/app.php'));
